<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 8</H1>

<P>Numero du papier: 8
<P>Titre du papier: Ingénierie de preuve
<P>Auteurs: Olivier Pons

<P>Nom du rapporteur: Mathieu Jaume

<P>Confiance en la note: 2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 4
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>

Qu'il s'agisse de manipuler une preuve formelle ou un développement
formel (ensemble de spécifications + preuves), l'utilisateur
des assistants à la preuve est bien trop souvent confronté à
l'absence d'outils mis à sa disposition (excepté le très
rudimentaire copier/coller). Cet article présente un panorama
des outils susceptibles d'assister de telles manipulations.
Peu de travaux sont consacrés à ce domaine et, à mon avis, les
idées/méthodes suggérées sont pertinentes et répondent
bien à certaines des préoccupations des développeurs de
preuves/théories formelles. Le contenu de cet article est donc
très intéressant mais hélas peu << agréable >> à lire : outre
une orthographe incertaine (voir les corrections sur l'exemplaire
papier), le style du texte est peu engageant ...
C'est plutôt dommage !
D'autre part, il aurait été intéressant de rendre compte de
l'utilisation des outils obtenus sur des gros développements.
Néanmoins, je recommande cet article pour son
contenu.

<br>
<br>

Lors de la lecture, on distingue mal ce qui a été implémenté de
ce qui ne l'a pas été ... un tableau récapitulatif pourrait
éclaircir ce point. Par exemple, le calcul du chemin (dans un arbre de
preuve) correspondant à une tactique (dans un script) se fait-il par
simple << clic >> ou s'agit-il d'un outil à venir ? la simplification du

script initial lors de la lemmification/factorisation de preuves
est-elle automatique ?
Un tel tableau pourrait de plus comparer les
outils disponibles dans d'autres prouveurs que CoQ/CtCoQ.
Plus généralement, il manque une discussion présentant de manière plus
large les méthodes enviagées pour la maintenance/réutilisation de
preuves formelles. Par exemple, dans :
<br>
A.Felty et D.Howe : Generalization and Reuse of Tactic proofs (LNCS)
<br>
le notion de généralisation de tactiques-preuves permet de manipuler des

scripts de preuves avec méta-variables, facilitant ainsi la modification

partielle de preuve. Enfin, rien n'est dit sur les
méthodes, styles, mécanismes et techniques de structuration (modularité,

généricité, ...)  de développement qui permettent de faciliter la
maintenance.

<br>
<br>

La longueur de l'article dépassant la taille limite, il serait peut être

souhaitable de réduire certaines parties. Par exemple, la partie
visualisation/navigation est très développée tandis que la partie
contraction/expansion est un peu trop courte (en quoi l'expansion
permet-elle la correction d'erreurs, la détection de code mort, la
sécurisation du script ?).

<br>
<br>

Remarques :

<br>

page 1 - Introduction : << ... l'autorisent à s'attaquer à des preuves
qui,
sinon, resteraient hors de portée.>>. L'expression << hors de portée >>
me semble un peu exagérée (des gros développements ont été obtenus,
certes laborieusement, mais sans outils).

<br>

pages 14-15 - Aide à la propagation des modifications : les explications

sont un peu opaques ... Qu'en est-il pour des modifications (plus ou
moins subtiles) sur des gros développements ?


<P>Commentaires reserves au comite de programme:<P>

C'est bien mais mal écrit ...

</BODY>
</HTML>

